<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_191) on Tue Oct 29 10:47:15 CET 2019 -->
<title>RefinementHandler</title>
<meta name="date" content="2019-10-29">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RefinementHandler";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":10,"i3":10,"i4":10,"i5":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RefinementHandler.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../refinement/handlers/ComponentHandler.html" title="class in refinement.handlers"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../refinement/handlers/SaveHandler.html" title="class in refinement.handlers"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?refinement/handlers/RefinementHandler.html" target="_top">Frames</a></li>
<li><a href="RefinementHandler.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">refinement.handlers</div>
<h2 title="Class RefinementHandler" class="title">Class RefinementHandler</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.eclipse.core.commands.common.EventManager</li>
<li>
<ul class="inheritance">
<li>org.eclipse.core.commands.AbstractHandler</li>
<li>
<ul class="inheritance">
<li>refinement.handlers.RefinementHandler</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">RefinementHandler</span>
extends org.eclipse.core.commands.AbstractHandler</pre>
<div class="block">Handler that merges differences from extracted PCM files to actual PCM files. Only differences
 that don't overwrite manual architectural changes are merged to actual PCM files.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>frborn</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../refinement/handlers/RefinementHandler.html#RefinementHandler--">RefinementHandler</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.compare.Comparison</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../refinement/handlers/RefinementHandler.html#compareResources-org.eclipse.emf.ecore.resource.ResourceSet-org.eclipse.emf.ecore.resource.ResourceSet-">compareResources</a></span>(org.eclipse.emf.ecore.resource.ResourceSet&nbsp;latestResourceSet,
                org.eclipse.emf.ecore.resource.ResourceSet&nbsp;extractedResourceSet)</code>
<div class="block">Execute EMF compare between latest resource set and extracted resource set.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static org.eclipse.ui.dialogs.ListSelectionDialog</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../refinement/handlers/RefinementHandler.html#createPCMSelectionDialog-java.lang.String-org.eclipse.ui.IWorkbenchWindow-org.eclipse.emf.common.util.EList-">createPCMSelectionDialog</a></span>(java.lang.String&nbsp;selectionName,
                        org.eclipse.ui.IWorkbenchWindow&nbsp;window,
                        org.eclipse.emf.common.util.EList&lt;org.eclipse.core.resources.IFile&gt;&nbsp;pcmFiles)</code>
<div class="block">Create ListSelectionDialog that contains PCM IFiles as selection options.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.Object</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../refinement/handlers/RefinementHandler.html#execute-org.eclipse.core.commands.ExecutionEvent-">execute</a></span>(org.eclipse.core.commands.ExecutionEvent&nbsp;event)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../refinement/handlers/RefinementHandler.html#mergeWithExtractedPCMFile-org.eclipse.core.resources.IFolder-org.eclipse.emf.common.util.EList-org.eclipse.core.resources.IFile-org.eclipse.core.resources.IFile-java.lang.String-">mergeWithExtractedPCMFile</a></span>(org.eclipse.core.resources.IFolder&nbsp;refinementFolder,
                         org.eclipse.emf.common.util.EList&lt;java.lang.String&gt;&nbsp;modifiedFiles,
                         org.eclipse.core.resources.IFile&nbsp;pcmFile,
                         org.eclipse.core.resources.IFile&nbsp;extractedFile,
                         java.lang.String&nbsp;refinementFileName)</code>
<div class="block">Load refinements for current PCM file.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../refinement/handlers/RefinementHandler.html#openPCMSelectionDialog-org.eclipse.ui.IWorkbenchWindow-org.eclipse.core.resources.IFolder-org.eclipse.emf.common.util.EList-">openPCMSelectionDialog</a></span>(org.eclipse.ui.IWorkbenchWindow&nbsp;window,
                      org.eclipse.core.resources.IFolder&nbsp;pcmFolder,
                      org.eclipse.emf.common.util.EList&lt;org.eclipse.core.resources.IFile&gt;&nbsp;selectedFiles)</code>
<div class="block">Load all PCM IFiles as selection options in ListSelectionDialog.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../refinement/handlers/RefinementHandler.html#replacePCMFile-org.eclipse.emf.common.util.EList-org.eclipse.core.resources.IFile-org.eclipse.core.resources.IFile-">replacePCMFile</a></span>(org.eclipse.emf.common.util.EList&lt;java.lang.String&gt;&nbsp;modifiedFiles,
              org.eclipse.core.resources.IFile&nbsp;pcmFile,
              org.eclipse.core.resources.IFile&nbsp;extractedFile)</code>
<div class="block">Merge all differences between automatic extracted PCM file and current PCM file to current
 PCM file.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.core.commands.AbstractHandler">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.eclipse.core.commands.AbstractHandler</h3>
<code>addHandlerListener, dispose, isEnabled, isHandled, removeHandlerListener, setEnabled</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="RefinementHandler--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>RefinementHandler</h4>
<pre>public&nbsp;RefinementHandler()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="execute-org.eclipse.core.commands.ExecutionEvent-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>execute</h4>
<pre>public&nbsp;java.lang.Object&nbsp;execute(org.eclipse.core.commands.ExecutionEvent&nbsp;event)
                         throws org.eclipse.core.commands.ExecutionException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.eclipse.core.commands.ExecutionException</code></dd>
</dl>
</li>
</ul>
<a name="mergeWithExtractedPCMFile-org.eclipse.core.resources.IFolder-org.eclipse.emf.common.util.EList-org.eclipse.core.resources.IFile-org.eclipse.core.resources.IFile-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mergeWithExtractedPCMFile</h4>
<pre>public&nbsp;void&nbsp;mergeWithExtractedPCMFile(org.eclipse.core.resources.IFolder&nbsp;refinementFolder,
                                      org.eclipse.emf.common.util.EList&lt;java.lang.String&gt;&nbsp;modifiedFiles,
                                      org.eclipse.core.resources.IFile&nbsp;pcmFile,
                                      org.eclipse.core.resources.IFile&nbsp;extractedFile,
                                      java.lang.String&nbsp;refinementFileName)</pre>
<div class="block">Load refinements for current PCM file. Execute EMF compare and check if differences affect
 components that were manually refined. Those differences will not be merged, all other
 differences are merged to PCM component.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>refinementFolder</code> - IFolder of refinement</dd>
<dd><code>modifiedFiles</code> - EList of names of modified IFile names</dd>
<dd><code>pcmFile</code> - IFile of current PCM model</dd>
<dd><code>extractedFile</code> - IFile of corresponding extracted PCM model</dd>
<dd><code>refinementFileName</code> - name of refinement file</dd>
</dl>
</li>
</ul>
<a name="compareResources-org.eclipse.emf.ecore.resource.ResourceSet-org.eclipse.emf.ecore.resource.ResourceSet-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>compareResources</h4>
<pre>public&nbsp;org.eclipse.emf.compare.Comparison&nbsp;compareResources(org.eclipse.emf.ecore.resource.ResourceSet&nbsp;latestResourceSet,
                                                           org.eclipse.emf.ecore.resource.ResourceSet&nbsp;extractedResourceSet)</pre>
<div class="block">Execute EMF compare between latest resource set and extracted resource set.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>latestResourceSet</code> - ResourceSet of current PCM model</dd>
<dd><code>extractedResourceSet</code> - ResourceSet of extracted PCM model</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Comparison diffModel</dd>
</dl>
</li>
</ul>
<a name="replacePCMFile-org.eclipse.emf.common.util.EList-org.eclipse.core.resources.IFile-org.eclipse.core.resources.IFile-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>replacePCMFile</h4>
<pre>public&nbsp;void&nbsp;replacePCMFile(org.eclipse.emf.common.util.EList&lt;java.lang.String&gt;&nbsp;modifiedFiles,
                           org.eclipse.core.resources.IFile&nbsp;pcmFile,
                           org.eclipse.core.resources.IFile&nbsp;extractedFile)</pre>
<div class="block">Merge all differences between automatic extracted PCM file and current PCM file to current
 PCM file.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>modifiedFiles</code> - EList of file names that were modified</dd>
<dd><code>pcmFile</code> - IFile of current PCM model</dd>
<dd><code>extractedFile</code> - IFile of extracted PCM model</dd>
</dl>
</li>
</ul>
<a name="openPCMSelectionDialog-org.eclipse.ui.IWorkbenchWindow-org.eclipse.core.resources.IFolder-org.eclipse.emf.common.util.EList-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>openPCMSelectionDialog</h4>
<pre>public&nbsp;void&nbsp;openPCMSelectionDialog(org.eclipse.ui.IWorkbenchWindow&nbsp;window,
                                   org.eclipse.core.resources.IFolder&nbsp;pcmFolder,
                                   org.eclipse.emf.common.util.EList&lt;org.eclipse.core.resources.IFile&gt;&nbsp;selectedFiles)</pre>
<div class="block">Load all PCM IFiles as selection options in ListSelectionDialog. Execute automated refinement
 for selected IFiles.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>window</code> - current window of workbench</dd>
<dd><code>pcmFolder</code> - IFolder of PCM model</dd>
<dd><code>selectedFiles</code> - EList of names of selected files</dd>
</dl>
</li>
</ul>
<a name="createPCMSelectionDialog-java.lang.String-org.eclipse.ui.IWorkbenchWindow-org.eclipse.emf.common.util.EList-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>createPCMSelectionDialog</h4>
<pre>public static&nbsp;org.eclipse.ui.dialogs.ListSelectionDialog&nbsp;createPCMSelectionDialog(java.lang.String&nbsp;selectionName,
                                                                                  org.eclipse.ui.IWorkbenchWindow&nbsp;window,
                                                                                  org.eclipse.emf.common.util.EList&lt;org.eclipse.core.resources.IFile&gt;&nbsp;pcmFiles)</pre>
<div class="block">Create ListSelectionDialog that contains PCM IFiles as selection options.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>selectionName</code> - name of ListSelectionDialog</dd>
<dd><code>window</code> - current window of workbench</dd>
<dd><code>pcmFiles</code> - EList of IFiles</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>ListSelectionDialog</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RefinementHandler.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../refinement/handlers/ComponentHandler.html" title="class in refinement.handlers"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../refinement/handlers/SaveHandler.html" title="class in refinement.handlers"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../index.html?refinement/handlers/RefinementHandler.html" target="_top">Frames</a></li>
<li><a href="RefinementHandler.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
